<?php
// Ścieżka do katalogu, w którym przechowywana jest biblioteka nusoap
set_include_path('../libs/nusoap');

// Dołączenie biblioteki nusoap
require_once('nusoap.php');

# Przykład wywołania metody getSenders, umożliwiającej pobranie listy zdefiniowanych nadawców przesyłek

$sLogin = ""; // Login konta w Postivo.pl
$sApiPass = ""; // Hasło dostępu do konta przez API
	
// Utworzenie klienta SOAP:
$client = new nusoap_client("http://api.postivo.pl/webservices.php?wsdl", true); 

// Ustawienie standardu kodowania znaków
$client->soap_defencoding = 'UTF-8';
$client->decode_utf8 = false;

// Wywołanie metody getSenders z przekazaniem wszystkich parametrów
$output = $client->call('getSenders',
		    array(
		        'login' => $sLogin,
		        'api_pass' => $sApiPass
		    )
		);

// Przykład obsługi danych wyjściowych:
echo "Status żądania: ".$output['result'].", kod statusu żądania: ".$output['result_code'].", opis statusu żądania: ".$output['result_description']."<br />";
for($i=0; $i<count($output['senders']); $i++)
{
	echo "<br />".($i+1).". ID nadawcy: ".$output['senders'][$i]['sender_id'].", Dane nadawcy: ".$output['senders'][$i]['sender_name'].", ".$output['senders'][$i]['sender_address']." ".$output['senders'][$i]['sender_home_number']."/".$output['senders'][$i]['sender_flat_number'].", ".$output['senders'][$i]['sender_post_code']." ".$output['senders'][$i]['sender_city'].", fax: ".$output['senders'][$i]['sender_fax_number'].". Nadawca domyślny: ".(($output['senders'][$i]['default'])? "tak" : "nie").", Nadawca aktywny: ".(($output['senders'][$i]['active'])? "tak" : "nie");
}
?>